function StringInputToArrays(s)
{
	var lines = s.split('\n').map(line=>line.replace(/[^0-9,.\-+]/g,'').split(','));
	var result = {'points': [], 'edge_info': [], 'triangulation' : lines[1].map(x=>parseInt(x)-1)};
	var edges_arr = lines.slice(2).flat().filter(x=>x!="");
	var points_arr = lines[0].filter(x=>x!="").map(x=>parseFloat(x));
	for(var i=0;i<points_arr.length;i+=3)
	{
		result.points.push({'x' : points_arr[i], 'y' : points_arr[i+1], 'z': points_arr[i+2]});
	}
	for(var i=0;i<edges_arr.length;i+=11)
	{		
		result.edge_info.push({'first': parseInt(edges_arr[i]-1), 
							'second': parseInt(edges_arr[i+1]-1),
							'alpha': [parseFloat(edges_arr[i+7]),parseFloat(edges_arr[i+8]),parseFloat(edges_arr[i+9]),parseFloat(edges_arr[i+10])]});
	}
	
	return result; 
}

function StringInputToArrays_C(s)
{
	var lines = s.split('\n').map(line=>line.replace(/[^0-9,.\-+]/g,'').split(','));
	var result = {'points': [], 'edge_info': [], 'triangulation' : lines[1].map(x=>parseInt(x)-1)};
	var edges_arr = lines.slice(2).flat().filter(x=>x!="");
	var points_arr = lines[0].filter(x=>x!="").map(x=>parseFloat(x));
	for(var i=0;i<points_arr.length;i+=3)
	{
		result.points.push({'x' : points_arr[i], 'y' : points_arr[i+1], 'z': points_arr[i+2]});
	}
	for(var i=0;i<edges_arr.length;i+=16)
	{		
		result.edge_info.push({'first': parseInt(edges_arr[i]-1), 
							'second': parseInt(edges_arr[i+1]-1),
							'h' : parseFloat(edges_arr[i+7]),
							'v': [parseFloat(edges_arr[i+8]),parseFloat(edges_arr[i+9]),parseFloat(edges_arr[i+10]),parseFloat(edges_arr[i+11])],
							'w': [parseFloat(edges_arr[i+12]),parseFloat(edges_arr[i+13]),parseFloat(edges_arr[i+14]),parseFloat(edges_arr[i+15])]});
	}
	
	return result; 
}